%define name tvmosaic
%define version 0.3.0
%define release %mkrel 1

Summary: TV Mosaic - a mosaic view of TV channels from a DVB tuner
Name:    %{name}
Version: %{version}
Release: %{release}
License: Creative Commons
Group:   Video
URL:     http://www.guilleminot.org/myfreeware/linux.php
Source:  %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
Requires: gnome-osd
Requires: mplayer
Requires: libglade2.0_0
Requires: ImageMagick
Requires: mencoder
Requires: libsqlite3_0
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version



 
%description
This application is mainly based on MPlayer and ImageMagick. 
It allows to get a clear and convenient overview of current 
TV broadcasts without manual zapping. After channels scan a 
simple click on relevant capture plays or records a channel.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
%__install -dm 755 %{buildroot}/%_datadir/%{name}
cp -af icons %{buildroot}/%_datadir/%{name}
cp -af sources %{buildroot}/%_datadir/%{name}
cp -af sources %{buildroot}/%_datadir/%{name}
cp -af style %{buildroot}/%_datadir/%{name}
cp -af timer %{buildroot}/%_datadir/%{name}
cp -af *.glade %{buildroot}/%_datadir/%{name}
cp -af *.conf %{buildroot}/%_datadir/%{name}
install -m 755 %{name} %{buildroot}/%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}
exec ./%{name}
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}



#menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TV Mosaic
Comment=Mosaic tv viewer & recorder for DVB Tuner
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;GNOME;AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/tv.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}


%files 
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL README
%_bindir/%{name}
%_datadir/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jan 14 2010 slick50 <lxgator@gmail.com> 0.3.0-1pclos2010
- 0.3.0

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 0.2.0-1pclos2009
- initial pkg

